name: linuxserver-hishtory-server
services:
  app:
    image: linuxserver/hishtory-server:0.335.20260213
    restart: unless-stopped
    environment:
      PUID: $PUID
      PGID: $PGID
      TZ: $TZ
      HISHTORY_POSTGRES_DB: ''
      HISHTORY_SQLITE_DB: ''
    x-casaos:
      envs:
        - container: PUID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the UID to use here.
        - container: PGID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the GID to use here.
        - container: TZ
          description:
            en_us: specify a timezone to use, see this list.
        - container: HISHTORY_POSTGRES_DB
          description:
            en_us: Postgres DB Connection URI. Special characters must be URL encoded. [OPTIONAL]
        - container: HISHTORY_SQLITE_DB
          description:
            en_us: SQLite database path. Needs to be a mounted volume for persistence. Don't set at the same time as HISHTORY_POSTGRES_DB. [OPTIONAL]
    ports:
      - target: 8080
        published: 8080
        protocol: tcp
    volumes:
      - type: bind
        source: /srv/lsio/hishtory-server/config
        target: /config
x-casaos:
  architectures:
    - amd64
    - arm64
  main: app
  description:
    en_us: hiSHtory is a better shell history. It stores your shell history in context (what directory you ran the command in, whether it succeeded or failed, how long it took, etc). This is all stored locally and end-to-end encrypted for syncing to to all your other computers.
  tagline:
    en_us: A better shell history. It stores your shell history in context (what directory you ran the command in, whether it succeeded or failed, how long it took, etc). This is all stored locally and end-to-end encrypted for syncing to to all your other computers.
  developer: LinuxServer.io
  author: WisdomSky
  icon: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/hishtory-server-icon.png
  thumbnail: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/hishtory-server-icon.png
  title:
    en_us: Hishtory server
  category: LinuxServer.io
  port_map: '8080'
